%define lib_major	2
%define lib_name	%mklibname unicap %{lib_major}
%define develname	%mklibname -d unicap

Summary: Library to access different kinds of ( video ) capture devices 
Name: libunicap
Version: 0.9.12
Release: %mkrel 5
Source0: http://www.unicap-imaging.org/downloads/%{name}-%{version}.tar.gz
Patch0: unicap-0.9.6-v4l1.patch
Patch1: libunicap-0.9.12-link.patch
Patch2: libunicap-0.9.12-includes.patch
Patch3: libunicap-0.9.12-memerrs.patch
Patch4: libunicap-0.9.12-arraycmp.patch
Patch5: libunicap-0.9.12-warnings.patch
Patch6: libunicap-bz641623.patch
Patch7: libunicap-bz642118.patch
Patch8: libunicap-0.9.12-udevrules-dir.patch
License: GPLv2+
Group: System/Libraries
Url: http://www.unicap-imaging.org/
BuildRequires: libraw1394-devel
BuildRequires: intltool
Conflicts: %{_lib}unicap2 < 0.9.12

%description
unicap is a library to access different kinds of ( video ) capture devices. 

%package -n %{lib_name}
Summary:	Dynamic libraries for Unicap
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{lib_name}
unicap is a library to access different kinds of ( video ) capture devices. 

%package -n %{develname}
Summary:	Static libraries, include files for Unicap
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Obsoletes:	%{lib_name}-devel < %{version}
Obsoletes:	%{name}-devel < %{version}

%description -n %{develname}
Static library and headers file
needed in order to develop applications using unicap.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0

sed -i -e 's/\(SYSFS\|ATTRS\)/ATTRS/g' data/50-euvccam.rules

%build
%configure2_5x --disable-v4l --disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang unicap

%files -f unicap.lang
%{_udevrulesdir}/*
%{_libdir}/unicap%{lib_major}

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libunicap
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.9.12-5.mga4
+ Revision: 521079
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 fwang <fwang> 0.9.12-4.mga3
+ Revision: 388560
- correct udev rules dir

* Sat Jan 12 2013 umeabot <umeabot> 0.9.12-3.mga3
+ Revision: 358287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 wally <wally> 0.9.12-2.mga3
+ Revision: 335872
- drop .la files
- clean .spec a bit

* Thu Jun 16 2011 fwang <fwang> 0.9.12-1.mga2
+ Revision: 108113
- clean buildroot
- imported package libunicap


* Tue May 10 2011 Funda Wang <fwang@mandriva.org> 0.9.12-1mdv2011.0
+ Revision: 673156
- sync some fedora patches
- cp old spec
- Created package structure for libunicap.


* Tue Jan 23 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.1-1mdv2007.0
+ Revision: 112500
-Patch0: fix libdir for biarch
- Import unicap

